import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { CloudFolderWhereInputObjectSchema as CloudFolderWhereInputObjectSchema } from './CloudFolderWhereInput.schema'

const makeSchema = () => z.object({
  where: z.lazy(() => CloudFolderWhereInputObjectSchema).optional()
}).strict();
export const CloudFolderCountOutputTypeCountChildrenArgsObjectSchema = makeSchema();
export const CloudFolderCountOutputTypeCountChildrenArgsObjectZodSchema = makeSchema();
